Email::Sender::Failure(3pm)

NAME
Email::Sender::Failure - a report of failure from an email sending transport

VERSION
version 1.300034

ATTRIBUTES

  message
This method returns the failure message, which should describe the failure. Failures stringify to this message.

  code
This returns the numeric code of the failure, if any. This is mostly useful for network protocol transports like SMTP. This may be undefined.

  recipients
This returns a list of addresses to which the email could not be sent.

METHODS

  throw
This method can be used to instantiate and throw an Email::Sender::Failure object at once.

  Email::Sender::Failure->throw(\%arg);

Instead of a hashref of args, you can pass a single string argument which will be used as the "message" of the new failure.

SEE ALSO

•   Email::Sender::Permanent

•   Email::Sender::Temporary

•   Email::Sender::Multi

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2019 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.